libetonyek::KEY1StylesContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY1StylesContext Class Reference

`#include <KEY1StylesContext.h>`

Inheritance diagram for libetonyek::KEY1StylesContext:

## Public Member Functions
| KEY1StylesContext (KEY1ParserState &state, IWORKStylePtr_t &style, IWORKStylePtr_t parentStyle)
Public Member Functions inherited from libetonyek::KEY1XMLContextBase< IWORKXMLContextElement >
| KEY1XMLContextBase (KEY1ParserState &state)
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
| KEY1XMLContextBase (KEY1ParserState &state)
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T>
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKStylePtr_t & | m_style
IWORKPropertyMap | m_propMap
IWORKStylePtr_t | m_parentStyle
boost::optional< IWORKFill > | m_fill
boost::optional< IWORKMarker > | m_lineHead
boost::optional< IWORKMarker > | m_lineTail
boost::optional< IWORKPattern > | m_pattern
boost::optional< IWORKShadow > | m_shadow

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ KEY1StylesContext()

libetonyek::KEY1StylesContext::KEY1StylesContext | ( | KEY1ParserState & | state,
|  | IWORKStylePtr_t & | style,
|  | IWORKStylePtr_t | parentStyle )

Referenced by KEY1StylesContext().

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::KEY1StylesContext::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::KEY1StylesContext::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_fill

boost::optional<IWORKFill> libetonyek::KEY1StylesContext::m_fill
| private

Referenced by element(), endOfElement(), and KEY1StylesContext().

## ◆ m_lineHead

boost::optional<IWORKMarker> libetonyek::KEY1StylesContext::m_lineHead
| private

Referenced by element(), endOfElement(), and KEY1StylesContext().

## ◆ m_lineTail

boost::optional<IWORKMarker> libetonyek::KEY1StylesContext::m_lineTail
| private

Referenced by element(), endOfElement(), and KEY1StylesContext().

## ◆ m_parentStyle

IWORKStylePtr_t libetonyek::KEY1StylesContext::m_parentStyle
| private

Referenced by endOfElement(), and KEY1StylesContext().

## ◆ m_pattern

boost::optional<IWORKPattern> libetonyek::KEY1StylesContext::m_pattern
| private

Referenced by element(), endOfElement(), and KEY1StylesContext().

## ◆ m_propMap

IWORKPropertyMap libetonyek::KEY1StylesContext::m_propMap
| private

Referenced by endOfElement(), and KEY1StylesContext().

## ◆ m_shadow

boost::optional<IWORKShadow> libetonyek::KEY1StylesContext::m_shadow
| private

Referenced by element(), endOfElement(), and KEY1StylesContext().

## ◆ m_style

IWORKStylePtr_t& libetonyek::KEY1StylesContext::m_style
| private

Referenced by endOfElement(), and KEY1StylesContext().

The documentation for this class was generated from the following files:

- KEY1StylesContext.h
- KEY1StylesContext.cpp